[nvidia] compiz crashed with SIGSEGV in nux::GraphicsEngine::QRP_GLSL_Color() from nux::GraphicsEngine::QRP_Color() from nux::BasePainter::PaintBackground

Bug #982626 reported by Lem on 2012-04-15
36
This bug affects 5 people
Affects Status Importance Assigned to Milestone
Nux
Fix Released
Critical
Jay Taoko
Unity
Fix Released
Critical
Marco Trevisan (Treviño)
5.0
Fix Released
Critical
Marco Trevisan (Treviño)
nux (Ubuntu)
Critical
Jay Taoko
Precise
Undecided
Unassigned
unity (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Unassigned

Bug Description

[Test Case]
Crash fix, just verifying that the crash does not happen anymore. No clear test case.

[Regression Potential]
Visual regressions at most.

Original description:

Ubuntu 12.04 as of April 16, 2012: I use CCSM to set a trigger for Expo reveal to top right edge. More often than not it seems compiz crashes on login, leaving a nautilus-only desktop. Restarting lightdm from a VT then logging in again usually fixes it, but at that point Compiz loses my Expo hot corner. It still remains set in CCSM, but I have to unset then re-set it for it to work.

This used to happen a lot in Ubuntu 11.10 as well.

ProblemType: Crash
DistroRelease: Ubuntu 12.04
Package: libnux-2.0-0 2.10.0-0ubuntu1
ProcVersionSignature: Ubuntu 3.2.0-23.36-generic 3.2.14
Uname: Linux 3.2.0-23-generic x86_64
NonfreeKernelModules: nvidia
ApportVersion: 2.0.1-0ubuntu3
Architecture: amd64
CrashCounter: 1
Date: Mon Apr 16 07:42:57 2012
ExecutablePath: /usr/bin/compiz
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Beta amd64 (20120301)
ProcCmdline: compiz
SegvAnalysis:
 Segfault happened at: 0x40eb4d5d: mov (%rsi),%edi
 PC (0x40eb4d5d) ok
 source "(%rsi)" (0x00000000) not located in a known VMA region (needed readable region)!
 destination "%edi" ok
SegvReason: reading NULL VMA
Signal: 11
SourcePackage: nux
StacktraceTop:
 ?? ()
 ?? ()
 ?? ()
 ?? ()
 ?? ()
Title: compiz crashed with SIGSEGV
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo

Related branches

Lem (lem-jjr) wrote :
visibility: private → public
description: updated

StacktraceTop:
 ?? ()
 ?? ()
 ?? ()
 ?? ()
 ?? ()

affects: ubuntu → nux (Ubuntu)
tags: added: apport-failed-retrace
tags: removed: need-amd64-retrace
summary: - compiz crashed with SIGSEGV on login (ccsm expo edge setting?)
+ compiz crashed with SIGSEGV in nux::GraphicsEngine::QRP_GLSL_Color()
+ from nux::GraphicsEngine::QRP_Color() from
+ nux::BasePainter::PaintBackground
Changed in nux:
importance: Undecided → High
Changed in nux (Ubuntu):
importance: Undecided → High

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in nux (Ubuntu):
status: New → Confirmed
Changed in nux:
status: New → Confirmed
Lem (lem-jjr) wrote :

FYI Daniel, my workaround for this (happens almost every time I boot up), is to open a folder on the desktop (so nautilus opens a window), then to run a script from the desktop with unity --replace, then unity starts fine. Without the nautilus window open, no amount of restarting unity seems to fix it. Quite odd.

Thanks for all of your hard work on Compiz/Unity!

Daniel van Vugt (vanvugt) wrote :

Confirmed. Using the latest Unity 6.0 and Nux 3.0 source code, I get this crash every time I try to start unity (from a virtual terminal).

Changed in nux:
assignee: nobody → Jay Taoko (jaytaoko)
summary: - compiz crashed with SIGSEGV in nux::GraphicsEngine::QRP_GLSL_Color()
- from nux::GraphicsEngine::QRP_Color() from
- nux::BasePainter::PaintBackground
+ [nvidia] compiz crashed with SIGSEGV in
+ nux::GraphicsEngine::QRP_GLSL_Color() from
+ nux::GraphicsEngine::QRP_Color() from nux::BasePainter::PaintBackground
Daniel van Vugt (vanvugt) wrote :

Confirmed with nvidia 295.40 and 295.49.

Daniel van Vugt (vanvugt) wrote :

I've seen the same crash happen in QRP_GLSL_1Tex. Seems to always crash inside nvidia's glDrawArrays.

I also get a crash in nvidia 295.40 when running the new damage update..

(compiz:4792): GConf-CRITICAL **: gconf_client_add_dir: assertion `gconf_valid_key (dirname, NULL)' failed
WARN 2012-07-27 10:33:02 unity.favorites FavoriteStoreGSettings.cpp:139 Unable to load GDesktopAppInfo for 'ubiquity-gtkui.desktop'
ERROR 2012-07-27 10:33:02 unity.launcher.trashlaunchericon TrashLauncherIcon.cpp:62 Could not create file monitor for trash uri: Operation not supported
Initializing unityshell options...done
compiz (core) - Warn: unhandled ConfigureNotify on 0xc0009e!
compiz (core) - Warn: this should never happen. you should probably file a bug about this.
compiz (core) - Warn: unhandled ConfigureNotify on 0xc000a1!
compiz (core) - Warn: this should never happen. you should probably file a bug about this.
Segmentation fault (core dumped)

Tim Penhey (thumper) on 2012-07-28
Changed in nux:
importance: High → Critical

A similar crash I'm getting is http://paste.ubuntu.com/1121725/

Changed in nux:
status: Confirmed → Invalid
Changed in nux (Ubuntu):
status: Confirmed → Invalid
Changed in unity:
status: New → In Progress
importance: Undecided → Critical
assignee: nobody → Marco Trevisan (Treviño) (3v1n0)
milestone: none → 6.2
Changed in unity:
status: In Progress → Fix Committed
Changed in unity (Ubuntu):
status: New → Fix Committed
Didier Roche (didrocks) on 2012-08-10
Changed in nux:
status: Invalid → Fix Released
Changed in unity:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (3.9 KiB)

This bug was fixed in the package unity - 6.2.0-0ubuntu1

---------------
unity (6.2.0-0ubuntu1) quantal-proposed; urgency=low

  [ Adam Conrad ]
  * Removed debian/patches/libgeis-rename.patch

  [ Łukasz 'sil2100' Zemczak ]
  * debian/rules:
    - added override for dh_shlibdeps to point it to the private directory of
      libunity-protocol-private.so
  * debian/unity.lintian-overrides,
    debian/libunity-core-6.0-5.lintian-overrides:
    - added override to silence the binary-or-shlib-defines-rpath error, since
      we are forced to use RPATH in our case

  [ Didier Roche ]
  * New upstream release.
    - [nvidia] compiz crashed with SIGSEGV in
      nux::GraphicsEngine::QRP_GLSL_Color() from
      nux::GraphicsEngine::QRP_Color() from nux::BasePainter::PaintBackground
      (LP: #982626)
    - Launcher - when a user starts dragging a item, any folded launcher icons
      that are valid drop receptacles should unfold. (LP: #839717)
    - running applications without an icon use a blank icon (LP: #886778)
    - compiz crashed with SIGSEGV in
      unity::ui::KeyboardUtil::GetKeycodeAboveKeySymbol() (LP: #920258)
    - still some accent issues with unity/nux (LP: #950740)
    - Launcher doesn't autoscroll when holding an icon (can't reach trash)
      (LP: #987223)
    - Purchased items are not being added to the Unity launcher (LP: #925014)
    - [GLES] framebuffer output scaled incorrect in both blur and items above
      shell with multimonitor (LP: #1016789)
    - [regression] [unity 6.0] Fullscreen windows flicker and/or never redraw
      properly if panel_opacity<1.0 or dash is opened. (LP: #1024911)
    - panel and launcher blinks when using libreoffice presenter/spreadsheet
      (LP: #1024459)
    - compiz crashed with SIGSEGV in
      unity::ui::EdgeBarrierController::Impl::OnPointerBarrierEvent()
      (LP: #1020075)
    - Update to 1.6.4 (LP: #1014850)
    - [nvidia] unity crashed in nux::GraphicsEngine::QRP_GLSL_1Tex
      (glDrawArrays) (LP: #1031554)
    - Dragging image from firefox/chrome to dock causes lagg/freeze
      (LP: #772445)
    - Launcher, Dash - Showing dash, via super key, with a quicklist shown
      doesn't work (LP: #913994)
    - REGRESSION: can't type characters with accent (dead keys) (LP: #961741)
    - Launcher wrongly shows top tooltip when peforming the accordion effect
      (LP: #980942)
    - Unity Launcher Fails To Auto-Hide When Enabled & Installing Commercial
      Software (LP: #1002440)
    - logging out/in with mounted drives causes unity launcher icons to be
      duplicated (LP: #1010714)
    - Mounted volume icons doubled up in launcher (LP: #1010858)
    - Launcher - when a user starts dragging a item, the launcher icons that
      are *not* valid drop receptacles should be tinted (LP: #1020891)
    - Alt+F4 does not close the hud when Numlock or Capslock are on.
      (LP: #1022801)
    - Unity shortcut overlay needs to include shortcut for video lens
      (LP: #937334)
    - padding between last quicklist item and bottom edge is non-deterministic
      (changes randomly) (LP: #955158)
    - give a way to remove 'Show Desktop' from the Alt-Tab items
      (LP: #1014346)
    - Multi...

Read more...

Changed in unity (Ubuntu):
status: Fix Committed → Fix Released
description: updated
Lem (lem-jjr) wrote :

Actually this has started happening again for me. I fresh installed 12.04, updated it with -proposed enabled, then it was good for a while, now every time I log in, compiz crashes and leaves me a nautilus-only desktop. Opening a folder, then running a shell script containing 'unity --replace' gets things working again.

Syslog contains this:

Sep 12 07:36:29 nymphaea kernel: [ 10.482021] show_signal_msg: 39 callbacks suppressed
Sep 12 07:36:29 nymphaea kernel: [ 10.482024] compiz[2242]: segfault at 0 ip 0000000041919ddd sp 00007fffabc7f378 error 4 in gl1ZmZi1 (deleted)[41918000+2000]
Sep 12 07:36:29 nymphaea rtkit-daemon[2020]: Successfully made thread 2335 of process 2335 (n/a) owned by '1000' high priority at nice level -11.
Sep 12 07:36:29 nymphaea rtkit-daemon[2020]: Supervising 8 threads of 3 processes of 2 users.
Sep 12 07:36:29 nymphaea pulseaudio[2335]: [pulseaudio] pid.c: Daemon already running.
Sep 12 07:36:29 nymphaea gnome-session[2176]: WARNING: Application 'compiz.desktop' killed by signal
Sep 12 07:36:29 nymphaea gnome-session[2176]: WARNING: App 'compiz.desktop' respawning too quickly
Sep 12 07:36:29 nymphaea gnome-session[2176]: CRITICAL: We failed, but the fail whale is dead. Sorry....
Sep 12 07:36:31 nymphaea kernel: [ 12.478040] compiz[2336]: segfault at 0 ip 0000000040b39ddd sp 00007fff0234c598 error 4 in gla7Cw8d (deleted)[40b38000+2000]
Sep 12 07:36:31 nymphaea gnome-session[2176]: WARNING: App 'compiz.desktop' respawning too quickly
Sep 12 07:36:31 nymphaea gnome-session[2176]: WARNING: Application 'compiz.desktop' killed by signal
Sep 12 07:36:31 nymphaea gnome-session[2176]: WARNING: App 'compiz.desktop' respawning too quickly

Is there some way that this can be investigated? It happens reliably on login at the moment. The trouble is, I don't know what changed to start causing it again.

Didier Roche (didrocks) on 2012-09-12
Changed in nux (Ubuntu Precise):
status: New → Invalid

Hello Lem, or anyone else affected,

Accepted unity into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/unity/5.16.0-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in unity (Ubuntu Precise):
status: New → Fix Committed
tags: added: verification-needed
Lem (lem-jjr) wrote :

Updated earlier today, booted up once and compiz didn't crash. I suspect this is now fixed. Actually I think my compiz/unity started crashing on login after I enabled "unredirect fullscreen windows".. but that bug was also fixed in this release.

Thanks guys :)

Omer Akram (om26er) on 2012-09-13
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 5.16.0-0ubuntu1

---------------
unity (5.16.0-0ubuntu1) precise-proposed; urgency=low

  [ Łukasz 'sil2100' Zemczak ]
  * debian/control:
    - Update libgeis-dev and libgrail-dev dependencies in debian/control
  * New upstream release.
    - launcher is not refreshed after user session switch (LP: #1016430)
    - Dragging windows around is slow/sluggish/laggy when multiple monitors
      are enabled (LP: #874619)
    - Dragging icons to reorder -away from launcher causes the dragged icon
      image edges to fade away(cut off) (LP: #1026247)
    - Arrow for indicating lenses points empty space on alt+F2 (LP: #998752)
    - Tooltips backgrounds are not refreshed (no active blur) (LP: #967112)
    - [regression] Unity panel transparency (active blur) not updating properly
      (LP: #865006)
    - [Regression] Hideous low-res icon when using the HUD with autohide
      enabled. (LP: #1035951)
    - Launcher dragged icon is not redrawn when the mouse pointer is not moved
      (LP: #1032700)
    - Black background around after dash is restored (LP: #992516)
    - Refreshing active blur makes the dash painfully slow (LP: #874230)
    - [SRU regression] alt-grave not switching to next window unless 'grave'
      pressed twice (LP: #1035668)
    - [SRU Regression] Unity 5.14 + Nux 2.14: Launcher tooltips are
      incomplete/missing (LP: #1034164)
    - [nvidia] unity crashed in
      nux::GraphicsEngine::QRP_GLSL_1Tex (glDrawArrays) (LP: #1031554)
    - compiz crashed with SIGSEGV in
      unity::ui::EdgeBarrierController::Impl::OnPointerBarrierEvent()
      (LP: #1020075)
    - Much slower OpenGL frame rates with unityshell loaded, than plain compiz
      (LP: #988079)
    - Compiz won't start if "unredirect fullscreen windows" is enabled
      (LP: #980663)
    - [regression] Unity launcher on-screen corruption on resume from suspend
      with nVidia proprietary driver (LP: #915265)
    - Desktop, Launcher and menu bar still visible when screen locked
      (LP: #886605)
    - Unity is visible on top of fullscreen apps (LP: #734908)
    - [nvidia] compiz crashed with SIGSEGV in
      nux::BasePainter::PaintBackground (LP: #982626)
    - Update dependency on the renamed libgeis

  [ Didier Roche ]
  * debian/control:
    - build-dep on latest nux as libgeis-dev and libutouch-geis-dev are
      conflicting (LP: #1047385)
 -- Lukasz 'sil2100' Zemczak <email address hidden> Tue, 11 Sep 2012 10:53:17 +0200

Changed in unity (Ubuntu Precise):
status: Fix Committed → Fix Released

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Changed in nux (Ubuntu):
status: Invalid → Fix Released
assignee: nobody → Jay Taoko (jaytaoko)
importance: High → Critical
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers